Summary: imap, ipo3d with TLS
Name: imap
Version: 2004
Release: 1
Copyright: GPL
Source0: %{name}-%{version}.tar.bz2
URL: http://www.washington.edu/imap
Group: System Environment/Daemons
Requires: xinetd
BuildRoot: /var/tmp/%{name}-%{version}-root
%description
imap, ipop3d with pam, SSL
generate key:
cd /usr/share/ssl/certs
make ../private/ipop3d.pem
make ../private/imapd.pem

%prep
%setup

%build
make lnp SSLDIR=/usr SSLCERTS=/usr/share/ssl/private

%install
mkdir -p "$RPM_BUILD_ROOT"/{etc/xinetd.d,etc/pam.d,usr/sbin}
cat > "$RPM_BUILD_ROOT"/etc/pam.d/pop << EOF
#%PAM-1.0
auth       required	/lib/security/pam_stack.so service=system-auth
account    required	/lib/security/pam_stack.so service=system-auth
EOF
cat > "$RPM_BUILD_ROOT"/etc/pam.d/imap << EOF
#%PAM-1.0
auth       required	/lib/security/pam_stack.so service=system-auth
account    required	/lib/security/pam_stack.so service=system-auth
EOF
cat > "$RPM_BUILD_ROOT"/etc/xinetd.d/ipop3d << EOF
# default: on
# description: A ipop3d server with SSL.
# This is the tcp version.

service pop3s
{
	socket_type	= stream
	protocol	= tcp
	user		= root
	wait		= no
	server		= /usr/sbin/ipop3d
	instances	= UNLIMITED
	disable		= no
}                                                                               
EOF
cat > "$RPM_BUILD_ROOT"/etc/xinetd.d/imapd << EOF
# default: on
# description: A imap server with SSL.
# This is the tcp version.

service imaps
{
	socket_type	= stream
	protocol	= tcp
	user		= root
	wait		= no
	server		= /usr/sbin/imapd
	instances	= UNLIMITED
	disable		= no
}                                                                               
EOF
cp ipopd/ipop3d "$RPM_BUILD_ROOT"/usr/sbin
cp imapd/imapd "$RPM_BUILD_ROOT"/usr/sbin

%files
%defattr(0664,root,root,0755)

%attr(0755,root,root) /usr/sbin/*
%attr(0644,root,root) /etc/xinetd.d/ipop3d
%attr(0644,root,root) /etc/xinetd.d/imapd
%attr(0644,root,root) /etc/pam.d/pop
%attr(0644,root,root) /etc/pam.d/imap

%doc CONTENTS CPYRIGHT README SUPPORT WARNING docs
